Subject: Re: Branch shuffling after 1.6.6 release plans

From: Ilari Liusvaara <[email-masked]>
Date: Fri, 25 Dec 2009 14:28:49 +0200

On Fri, Dec 25, 2009 at 12:30:34PM +0100, Thomas Rast wrote:
> 
> I can try hacking some internal option into the merge helpers, by
> which they declare to be (in)compatible with rebasing.  I think this
> what Dscho or Sverre mentioned in the corresponding thread, but I
> forgot about it when I noticed you had already promoted the above to
> 'next'.

If you do that, maybe do all relevant flags (such as "no fast forwards"
and "no trivial merging") at the same time. That would allow external
strategies to use those flags.

-Ilari